Bug 1282659 - maunally edit tempest config file will cause fail to generate openstack-log.tar.bz
maunally edit tempest config file will cause fail to generate openstack-log.t...
Status: NEW
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-openstack (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rohan Kanade
Anshul Behl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 20:26 EST by QinXie
Modified: 2017-04-05 01:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description QinXie 2015-11-16 20:26:32 EST
Per workflow doc: https://access.redhat.com/articles/1504393#RunCertificationTests, tempest config file(test_config.json) should be able to manually. 

But in https://bugzilla.redhat.com/show_bug.cgi?id=1274716#c14, partner reported openstack-log.tar.bz will not be generated if partner manually set up the config file. 


Version used by partner: 
[root@overcloud-controller-0 files]# rpm -qa | grep certification
redhat-certification-1.0-20150723.el7.noarch
redhat-certification-openstack-1.0.5-1.el7.noarch
Comment 1 Rohan Kanade 2015-11-17 04:27:31 EST
It is the partner's responsibility to make sure he has configured tempest.conf correctly before the tests are run. 

We allow 2 ways for partner to do this
1) Edit the /etc/redhat-certification-openstack/tempest.conf.sample to /etc/redhat-certification-openstack/tempest.conf, and put in their deployment specific data
2) Via the WebUI, when redhat-certification-openstack generates a sample tempest.conf, edit this tempest.conf to fit needs.

It is impossible to auto-generate a valid tempest.conf for each partner.

Let me know if that answer's your query.

Note You need to log in before you can comment on or make changes to this bug.